<?php
/**
 * @version		$Id: default.php 549 2010-08-30 15:39:45Z lefteris.kavadas $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.gr
 * @copyright	Copyright (c) 2006 - 2010 JoomlaWorks, a business unit of Nuevvo Webware Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
$db = &JFactory::getDBO(); $nullDate = $db->getNullDate();
?>

<!-- To move into k2.mootools.js -->
<script type="text/javascript">
	window.addEvent('domready', function(){

		// For the Joomla! checkbox toggle button
		$$('#jToggler').addEvent('click', function(){
			checkAll(<?php echo count( $this->rows ); ?>);
		});

	});
</script>

<form action="index.php" method="post" name="adminForm">
  <table class="k2AdminTableFilters">
    <tr>
      <td class="k2AdminTableFiltersSearch">
				<?php echo JText::_('Filter:'); ?>
				<input type="text" name="search" id="search" value="<?php echo $this->lists['search'] ?>" class="text_area" title="<?php echo JText::_('Filter by title'); ?>"/>
				<button onclick="this.form.submit();"><?php echo JText::_('Go'); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_category').value='0';this.form.getElementById('filter_trash').value='0';this.form.getElementById('filter_author').value='0';this.form.getElementById('filter_state').value='-1';this.form.getElementById('filter_featured').value='-1';this.form.getElementById('filter_publication').value='0';this.form.submit();"><?php echo JText::_('Reset'); ?></button>
        </td>
      <td class="k2AdminTableFiltersSelects">
	      <?php echo $this->lists['trash']; ?>
	      <?php echo $this->lists['featured']; ?>
	      &nbsp;|
	      <?php echo $this->lists['categories']; ?>
	      <?php echo $this->lists['authors']; ?>
	      <?php echo $this->lists['state']; ?>
	      <?php echo $this->lists['publication']; ?>
      </td>
    </tr>
  </table>

  <table class="adminlist">
    <thead>
      <tr>
        <th>#</th>
        <th><input id="jToggler" type="checkbox" name="toggle" value="" /></th>
        <th class="title"><?php echo JHTML::_('grid.sort', 'Title', 'i.title', @$this->lists['order_Dir'], @$this->lists['order']); ?></th>
        <th><?php echo JHTML::_('grid.sort', 'Featured', 'i.featured', @$this->lists['order_Dir'], @$this->lists['order']); ?></th>
        <th><?php echo JHTML::_('grid.sort', 'Published', 'i.published', @$this->lists['order_Dir'], @$this->lists['order']); ?></th>
        <th><?php echo JHTML::_('grid.sort', 'Category', 'category', @$this->lists['order_Dir'], @$this->lists['order']); ?></th>
        <th><?php echo JHTML::_('grid.sort', 'Author', 'author', @$this->lists['order_Dir'], @$this->lists['order']); ?></th>
        <th><?php echo JHTML::_('grid.sort', 'Created', 'i.created', @$this->lists['order_Dir'], @$this->lists['order']); ?></th>
        <th><?php echo JHTML::_('grid.sort', 'Modified', 'i.modified', @$this->lists['order_Dir'], @$this->lists['order']); ?></th>
        <th><?php echo JHTML::_('grid.sort', 'Start', 'i.publish_up', @$this->lists['order_Dir'], @$this->lists['order']); ?></th>
        <th><?php echo JHTML::_('grid.sort', 'End', 'i.publish_down', @$this->lists['order_Dir'], @$this->lists['order']); ?></th>
        <th><?php echo JHTML::_('grid.sort', 'ID', 'i.id', @$this->lists['order_Dir'], @$this->lists['order']); ?></th>
      </tr>
    </thead>
    <tbody>
      <?php
      $k = 0; $i = 0;	$n = count( $this->rows );
			$user=& JFactory::getUser();
			foreach ($this->rows as $row) :
				$checked 	= JHTML::_('grid.checkedout', $row, $i );
				$link = JRoute::_('index.php?option=com_k2&view=item&cid='.$row->id);
			?>
      	<tr class="<?php echo "row$k"; ?>">
				<td><?php echo $i+1; ?></td>
				<td><?php echo $checked; ?></td>
				<td>
					<?php if (JTable::isCheckedOut($user->get('id'), $row->checked_out )):?>
					<?php echo $row->title;?>
					<?php else: ?>
					<?php if(!$this->filter_trash):?>
					<a href="<?php echo $link; ?>">
					<?php endif; ?>
					<?php echo $row->title;?>
					<?php if(!$this->filter_trash):?>
					</a>
					<?php endif; ?>
					<?php endif;?>
				</td>
				<td class="k2Center">
					<img src="images/<?php echo ( $row->featured ) ? 'tick.png' :  'publish_x.png' ;?>" width="16" height="16" border="0" alt="<?php echo ( $row->featured ) ? JText::_( 'Featured' ) : JText::_( 'Not featured' );?>" />
				</td>
				<td class="k2Center">
				<img src="images/<?php echo ( $row->published ) ? 'tick.png' :  'publish_x.png' ;?>" width="16" height="16" border="0" alt="<?php echo ( $row->published ) ? JText::_( 'Published' ) : JText::_( 'Not published' );?>" />
				</td>
				<td><a href="<?php echo JRoute::_('index.php?option=com_k2&view=category&cid='.$row->catid);?>"><?php echo $row->category; ?></a></td>
				<td>
					<?php if($user->gid>23):?>
					<a href="<?php echo JRoute::_('index.php?option=com_users&task=edit&cid[]='.$row->created_by);?>"><?php echo $row->author; ?></a>
					<?php else:?>
					<?php echo $row->author; ?>
					<?php endif; ?>
				</td>
				<td class="k2Date"><?php echo JHTML::_('date', $row->created , JText::_('K2_DATE_FORMAT')); ?></td>
				<td class="k2Date"><?php echo ($row->modified == $nullDate) ? JText::_('Never') : JHTML::_('date', $row->modified , JText::_('K2_DATE_FORMAT')); ?></td>
				<td class="k2Date"><?php echo ($row->publish_up == $nullDate) ? JText::_('Never') : JHTML::_('date', $row->publish_up , JText::_('K2_DATE_FORMAT')); ?></td>
				<td class="k2Date"><?php echo ($row->publish_down == $nullDate) ? JText::_('Never') : JHTML::_('date', $row->publish_down , JText::_('K2_DATE_FORMAT')); ?></td>
				<td><?php echo $row->id; ?></td>
      </tr>
      <?php $k = 1 - $k; $i++; endforeach; ?>
    </tbody>
    <tfoot>
      <tr>
        <td colspan="15"><?php echo $this->page->getListFooter(); ?></td>
      </tr>
    </tfoot>
  </table>

  <input type="hidden" name="option" value="<?php echo $option;?>" />
  <input type="hidden" name="view" value="<?php echo JRequest::getVar('view'); ?>" />
  <input type="hidden" name="task" value="<?php echo JRequest::getVar('task'); ?>" />
  <input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
  <input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
  <input type="hidden" name="boxchecked" value="0" />
  <?php	echo JHTML::_('form.token'); ?>
</form>
